> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/api/it/api-pubblica-di-exoclick/api-manual-http-headers.md).

# Intestazioni HTTP

Questa sezione descrive gli header HTTP che l'API accetterà da qualsiasi richiesta.

## Content-Type

Tutte le richieste devono contenere un header HTTP Content-Type.

### Tipi di contenuto accettati

| Formato base    | Tipi di contenuto   | Tipi di contenuto                                          |
| --------------- | ------------------- | ---------------------------------------------------------- |
| JSON            | application/json    | text/json non è attualmente un tipo di contenuto accettato |
| Dati del modulo | multipart/form-data | Usato solo quando si caricano varianti                     |

### Errori Content-Type

| Codice di risposta | Note                                                                                                                                     |
| ------------------ | ---------------------------------------------------------------------------------------------------------------------------------------- |
| 400                | Il tipo di contenuto è stato compreso ma non è stato possibile decodificarlo. Maggiori informazioni appariranno nel corpo della risposta |
| 415                | Il tipo di contenuto manca o non è supportato                                                                                            |

{% hint style="info" %}
**Nota**: Nei casi in cui l'header content-type presenti un problema, il content-type della risposta sarà il formato predefinito per l'API, attualmente application/json
{% endhint %}

{% hint style="info" %}
**Nota**: L'API attualmente non aderisce all'header HTTP Accept-type; tutte le risposte sono inviate con lo stesso content-type della richiesta ricevuta, a condizione che il content-type della richiesta fosse valido
{% endhint %}

## Autorizzazione

Questo header è opzionale e viene usato per fornire dettagli di autenticazione all'API per l'utente corrente, consentendo all'utente corrente di accedere a risorse API riservate. I token possono essere ottenuti tramite la Login API. Un esempio di header è:

```
Authorization: Bearer 45267dbe480c8c7d799c62ccad92cb44f67ab086
```

L'header Authorization accetta una stringa composta da due parti, separate da un singolo spazio. La prima parte è il tipo di token, la seconda è il token di accesso stesso.

### Errori di autorizzazione

| Codice di risposta | Note                                                                        |
| ------------------ | --------------------------------------------------------------------------- |
| 400                | È stato fornito un header di autorizzazione non valido                      |
| 401                | L'header di autorizzazione manca oppure il token non era valido o è scaduto |

### Scelta di un tipo di token di autorizzazione

In caso di errore, gli header della risposta conterranno un header WWW-Authenticate che indicherà il tipo di token richiesto per l'accesso.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/api/it/api-pubblica-di-exoclick/api-manual-http-headers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
